MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028114Open CASCADE[OCCT] OCCT:Visualizationpublic2016-11-16 15:402016-12-09 16:39
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028114: Visualization, Ray tracing - Make ray tracing mode interactive in high resolutions
DescriptionIn HD screen resolutions, path tracing could become non-interactive. It is proposed to dynamically adjust number of bounces depending on the type of ray-surface interaction and to gradually increase it when the camera is stabilized.
Steps To ReproduceNow it is inherent property and cannot be enabled/disabled.
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon 1.png (243,635 bytes) 2016-11-16 15:49
png file icon 5.png (455,219 bytes) 2016-11-16 15:49
png file icon 10.png (487,512 bytes) 2016-11-16 15:50
png file icon 15.png (491,337 bytes) 2016-11-16 15:50
png file icon 20.png (495,790 bytes) 2016-11-16 15:50

- Relationships
related to 0028129closedapn Visualization, Path Tracing - Improve interactivity in "steady" rendering mode 

-  Notes
(0060430)
git (administrator)
2016-11-16 15:45

Branch CR28114 has been created by dbp.

SHA-1: c57c1cdc5bf83e135a8844919e3a4735665a9045


Detailed log of new commits:

Author: dbp
Date: Wed Nov 16 15:44:56 2016 +0300

    0028114: Visualization, Ray tracing - Make ray tracing mode interactive in high resolutions
(0060431)
dbp (developer)
2016-11-16 15:46

Dear kgv,

Could you please review the patch in branch CR28114?
(0060432)
dbp (developer)
2016-11-16 15:51

For example, please check images attached. At the first frame (1.png) the image is computed only with the 1 bounce. For 10-th frame (10.png) path tracer starts to use 2 bounces etc.
(0060433)
kgv (developer)
2016-11-16 16:01

Please test the patch.
(0060434)
git (administrator)
2016-11-16 16:12

Branch CR28114 has been updated forcibly by dbp.

SHA-1: 6187e801b87141d55e7ba4d29e07d7113e2dd40c
(0060489)
mkv (tester)
2016-11-17 12:47

Dear BugMaster,
Branch CR28114 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6187e801b87141d55e7ba4d29e07d7113e2dd40c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1162

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91431845 / 91853350 [-0.46%]
Total CPU difference: 21707.740000000216 / 21600.74000000031 [+0.50%]
products component :
Total MEMORY difference: 29951690 / 29934528 [+0.06%]
Total CPU difference: 5288.019999999977 / 5309.129999999963 [-0.40%]

Testing on Windows:
occt component :
Total MEMORY difference: 56588704 / 56597852 [-0.02%]
Total CPU difference: 20368.457766198466 / 19669.510885798518 [+3.55%]
products component :
Total MEMORY difference: 20822511 / 20790286 [+0.16%]
Total CPU difference: 5246.3604302999765 / 5153.477434899959 [+1.80%]

There are no differences in images found by testdiff.
(0060490)
mkv (tester)
2016-11-17 12:47

Dear BugMaster,
Branch CR28114 is TESTED.
(0061298)
git (administrator)
2016-12-07 11:31

Branch CR28114 has been deleted by kgv.

SHA-1: 6187e801b87141d55e7ba4d29e07d7113e2dd40c

- Related Changesets
occt: master 383c6c9f
Timestamp: 2016-11-16 12:44:56
Author: dbp
Committer: apn
Details ] Diff ]
0028114: Visualization, Path tracing - Make path tracing mode interactive in high resolutions
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceRender.fs Diff ] File ]
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
mod - src/Shaders/Shaders_RaytraceRender_fs.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-16 15:40 dbp New Issue
2016-11-16 15:40 dbp Assigned To => dbp
2016-11-16 15:45 git Note Added: 0060430
2016-11-16 15:46 dbp Note Added: 0060431
2016-11-16 15:46 dbp Assigned To dbp => kgv
2016-11-16 15:46 dbp Status new => resolved
2016-11-16 15:46 dbp Steps to Reproduce Updated View Revisions
2016-11-16 15:49 dbp File Added: 1.png
2016-11-16 15:49 dbp File Added: 5.png
2016-11-16 15:50 dbp File Added: 10.png
2016-11-16 15:50 dbp File Added: 15.png
2016-11-16 15:50 dbp File Added: 20.png
2016-11-16 15:51 dbp Note Added: 0060432
2016-11-16 15:59 dbp Description Updated View Revisions
2016-11-16 16:00 dbp Summary Visualization, Ray tracing - Make ray tracing mode interactive in high resolutions => Visualization, Path tracing - Make path tracing mode interactive in high resolutions
2016-11-16 16:01 kgv Note Added: 0060433
2016-11-16 16:01 kgv Assigned To kgv => bugmaster
2016-11-16 16:01 kgv Status resolved => reviewed
2016-11-16 16:01 kgv Product Version => 7.0.0
2016-11-16 16:01 kgv Target Version 7.2.0 => 7.1.0
2016-11-16 16:01 kgv Summary Visualization, Path tracing - Make path tracing mode interactive in high resolutions => Visualization, Ray tracing - Make ray tracing mode interactive in high resolutions
2016-11-16 16:12 git Note Added: 0060434
2016-11-16 16:23 mkv Assigned To bugmaster => mkv
2016-11-17 12:47 mkv Note Added: 0060489
2016-11-17 12:47 mkv Note Added: 0060490
2016-11-17 12:47 mkv Assigned To mkv => bugmaster
2016-11-17 12:47 mkv Status reviewed => tested
2016-11-17 12:48 mkv Test case number => Not needed
2016-11-18 16:37 apn Changeset attached => occt master 383c6c9f
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-11-18 17:52 kgv Relationship added related to 0028129
2016-12-07 11:31 git Note Added: 0061298
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker